import { Title } from "@angular/platform-browser";

export class Obj {

    /**音频材料 */
    audioUrl: String;

    /**图片材料 */
    picUrl: String;

    val: String;
}


export class Exercises extends Obj{

    
    //单词数组
    wordArr = [];

    //单词
    word:Word;

    //单词数组2
    wordArr2 = [];

    //单词2
    word2: Word;
}

export class Word extends Obj{
    //字体颜色
    fontColor = "#231f20";
}

export function getDefExercises(){
    let exercises = new Exercises();

    exercises.word = getDefWord();

    exercises.word2 = getDefWord();

    return exercises;
}

export function getDefWord(){
    let word = new Word();

    return word;
}

export function getDefPic(){

    let pic = new Obj();

    return pic;
}